package sudoku.constraint;

import sudoku.Sudoku;

public class ColumnConstraint implements IConstraint {

	@Override
	public boolean canBePlaced(final Sudoku s, int x, int y, int newSymbolIndex) {
		for (int i = 0; i < s.getSize(); i++) {
			if (s.getCell(x, newSymbolIndex).getSymbolIndex() == newSymbolIndex)
				return false;
		}
		return true;
	}

}
